Description

I installed the latest package from the testing repo and the /etc/default/foreman has Windows line endings.  This is causing the init.d

scripts to fail.  After converting the line endings, the init scripts work fine.

puser@puppetqa:~$ cat -e /etc/default/foreman

1. Start foreman on boot?^M$

START=yes^M$

^M$

2. the location where foreman is installed^M$

#FOREMAN_HOME=/usr/share/foreman^M$

^M$

3. the network interface which foreman web server is running at^M$

#FOREMAN_IFACE=0.0.0.0^M$

^M$

4. the port which foreman web server is running at^M$

5. note that if the foreman user is not root, it has to be a > 1024^M$

#FOREMAN_PORT=3000^M$

^M$

6. the user which runs the web interface^M$

#FOREMAN_USER=foreman^M$

^M$

7. the rails environment in which foreman runs^M$

#FOREMAN_ENV=production^M$

History

#1 - 04/25/2011 04:03 PM - Ohad Levy

thats odd, the git checked in version does not have a windows ending.. @josci, any idea?

#2 - 05/02/2011 05:34 AM - Ohad Levy

- Status changed from New to Feedback

#3 - 05/02/2011 06:15 AM - Jochen Schalanda

I can't reproduce the described error. Line endings in our source repository and in the package files are POSIX style (single "\n").

Andrew, please purge Foreman (apt-get purge foreman), clean your package cache (apt-get clean) and reinstall Foreman on your system, and check

if the wrong line endings are still there.

#4 - 05/21/2011 01:05 PM - Jochen Schalanda

- Category set to Packaging

- Status changed from Feedback to Rejected

- Assignee set to Jochen Schalanda
I still can't reproduce the described problem. If it occurs again, please write a comment to this issue.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

http://www.tcpdf.org

